unit Produit;

{$mode objfpc}{$H+}

interface

uses
  Classes, SysUtils, Ingredient;

type
  TProduit = class(TCollectionItem) // class for the property 'obj' and the TCollection
private
  fid_produit: String;
  fnom_produit: String;
  Fqte: Double;
  Fprixp: Currency;
  fingredient : TIngredient;
public
  constructor Create;
  destructor Destroy; override;
published
  property id_produit : String read fid_produit write fid_produit;
  property nom_produit : String read fnom_produit write fnom_produit;
  property qte : Double read Fqte write Fqte;
  property prix : Currency read Fprixp write Fprixp;
  property ingredient : TIngredient read fingredient;
  //property total_commande: Currency read Ftotal_commande write Ftotal_commande;
  //property client: TStrings read fclient;
end;

implementation

constructor TProduit.Create;
begin
  fingredient:=TIngredient.Create;
end;

destructor TProduit.Destroy;
begin
  fingredient.Free;
  inherited Destroy;
end;

end.

