unit Unit1;

{$mode objfpc}{$H+}

interface

uses
  Classes, SysUtils, Forms, Controls, Graphics, Dialogs, StdCtrls, ExtCtrls,
  Ingredient, Produit, Produits, Ville, Client, Result, BaseObject;

type

  { TForm1 }

  TForm1 = class(TForm)
    Button1: TButton;
    GroupBox1: TGroupBox;
    GroupBox2: TGroupBox;
    Memo1: TMemo;
    Memo2: TMemo;
    Panel1: TPanel;
    procedure Button1Click(Sender: TObject);
  private
    procedure DeStreamTest;

  public

  end;

var
  Form1: TForm1;

implementation

{$R *.lfm}

{ TForm1 }

procedure TForm1.Button1Click(Sender: TObject);
begin
  Memo1.Clear;
end;

procedure TForm1.DeStreamTest;
var
  DeStreamer: TJSONDeStreamer;
  o: TBaseObject;
  no: TResult;
  pd : TProduit;
  s: String;
  Ing : TIngredient;
begin
  Memo1.lines.add('DeStream test');
  Memo1.lines.add('======================================');

  // DeStreamer object and target object create
  DeStreamer := TJSONDeStreamer.Create(nil);
  o := TBaseObject.Create;
  try
    DeStreamer.JSONToObject(Memo2.Text, o);
    Memo1.lines.add(o.code);
    Memo1.lines.add(o.message);
    Memo1.lines.add('ID Commande : '+o.result.id_commande);
    Memo1.lines.add('Toatal Commande : '+CurrToStr(o.result.total_commande));
    Memo1.lines.add('Client : Code : '+o.result.client.id_client);
    Memo1.lines.add('Client : Nom : '+o.result.client.nom);
    Memo1.lines.add('Client : Ville : Code : '+o.result.client.ville.id_ville);
    Memo1.lines.add('Client : Ville : nom ville : '+o.result.client.ville.nom_ville);
    for s in o.result.payment do
      Memo1.lines.add('Client : Payement  : '+ s);
    for TCollectionItem(pd) in o.result.produits do
     Begin
     Memo1.lines.add('Produit : '+pd.qte.ToString()+' '+pd.nom_produit+' Px: '+CurrToStr(pd.prix));
     Memo1.lines.add('Produit : Ingrédient : '+pd.ingredient.nom_ingredient+' Px: '+CurrToStr(pd.ingredient.prix_ingredient));
     end;

  finally
    o.Destroy;
    DeStreamer.Destroy;
  end;
end;

end.

